Package ch.qos.logback.classic.spi

# Class PlatformInfo

java.lang.Object
ch.qos.logback.classic.spi.PlatformInfo

public class PlatformInfo extends Object
This class provides information about the runtime platform.

Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`PlatformInfo()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`hasJMXObjectName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlatformInfo

public PlatformInfo()

## Method Details

### hasJMXObjectName

public static boolean hasJMXObjectName()